package com.ruoyi.common.pay.wx.domain;

import java.math.BigDecimal;

/**
 * @author wjh
 * 2024/5/15
 */
public interface Payable {

    /**
     * 获取价格（分）
     */
    BigDecimal payableMoney();

    /**
     * 获取描述
     */
    String payableDescription();

    /**
     * 获取附加信息
     */
    String payableAttach();

    /**
     * 获取外部订单号
     */
    String payableOutTradeNo();

    /**
     * 获取微信openId
     */
    String payableOpenId();
}
